#!/bin/bash
if [ -z "$1" ]; then
  HOSTS="`grep -v ^# MASTER_LIST | cut -d\| -f3`"
else
  HOSTS="`cat \"$1\"`"
fi
for HOST in $HOSTS; do
  ping -c 1 -q $HOST >/dev/null 2>&1
  if [ $? -eq 0 ]; then
    echo -e "\033[1;37m\033[42m  UP  \033[0m $HOST"
  else
    echo -e "\033[1;37m\033[41m DOWN \033[0m $HOST"
  fi
done
